Generate Microdeposits for a Financial Address v2Test helper
Generates microdeposits for a FinancialAddress in a Sandbox environment.
Learn more about calling API v2 endpoints.Parameters
- idstringRequired
The id of the financial address to generate microdeposits for.
Returns
Response attributes
- objectstring, value is "financial_address_generated_microdeposits"
String representing the object’s type. Objects of the same type share the same value of the object field.
- amountsarray of objects
The amounts of the microdeposits that were generated.
- amounts.
currencyenum Three-letter ISO currency code, in lowercase. Must be a supported currency.
- amounts.
valueinteger A non-negative integer representing how much to charge in the smallest currency unit.
- livemodeboolean
Has the value
trueif the object exists in live mode or the valuefalseif the object exists in test mode. - statusenum
The status of the request.
Possible enum valuesacceptedThe microdeposits were successfully generated.
The required storer capabilities are missing.
The required storer capabilities are not active.
The currency is not supported for Financial Accounts.
The resource wasn’t found.
An idempotent retry occurred with different request parameters.
{ "object": "financial_address_generated_microdeposits", "amounts": [ { "value": 24, "currency": "usd" }, { "value": 46, "currency": "usd" } ], "status": "accepted", "livemode": true}